using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Hole : MonoBehaviour {
    public SpriteMask mask;
    public Sprite small;

    public Sprite[] sprites;
    public Sprite[] masks;

    public SpriteRenderer sr;
    public bool isBig = false;

    private void Awake() {
        sr.sprite = small;
    }

    public void MakeBig() {
        if (isBig) return;

        isBig = true;
        int index = Random.Range(0, sprites.Length);
        sr.sprite = sprites[index];
        mask.sprite = masks[index];
    }


    public void DisableMask() {
        mask.gameObject.SetActive(false);
    }
}
