using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
using DG.Tweening;

public class UIEgg : MonoBehaviour
{
    public Image full;

    private void Awake() {
        full.gameObject.SetActive(false);
        transform.localScale = Vector3.zero;
    }

    public void Appear(float delay) {
        transform.localScale = Vector3.zero;
        transform.DOScale(1f, 0.4f).SetEase(Ease.OutBack).SetDelay(delay);
    }

    public void SetFull() {
        full.gameObject.SetActive(true);
        full.transform.localScale = Vector3.zero;
        full.transform.DOScale(1f, 0.4f).SetEase(Ease.OutElastic);
    }
}
