using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class TimescaleController : MonoBehaviour
{
    public float timescale = 1f;
    static public TimescaleController instance;

    private void Awake() {
        instance = this;
    }

    // Update is called once per frame
    void Update()
    {
        if (Input.GetKeyDown(KeyCode.G)) {
            timescale = 0.2f;
        } else if (Input.GetKeyUp(KeyCode.G)) {
            timescale = 1f;
        }

        Time.timeScale = timescale;
        Time.fixedDeltaTime = Time.timeScale * 0.02f;
    }
}
