using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[CreateAssetMenu(fileName = "PlayerSettings", menuName = "Data/PlayerSettings")]
public class PlayerSettings : ScriptableObject
{
    public float acceleration = 10;
    public float digDepth = 5;
    public float jumpHeight = 5;
    public float jumpDurationUp = 0.5f;
    public float jumpDurationDown = 0.4f;
    public float diggletDistance = 1f;
    public float diggletSpeed = 4f;
    public float digArrowSpeed = 1f;
    public float digProgressMultiplier = 0.334f;
    public float digStopDuration = 0.5f;
    public bool instaDig = false;
}
