using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Sounds : MonoBehaviour
{
    static public Sounds instance;
    public AudioClip dig;
    public AudioClip indicatorAppear;
    public AudioClip indicatorHide;
    public AudioClip eggVfxSfx;
    public AudioClip eggFlyOut;


    public AudioClip great;
    public AudioClip good;
    public AudioClip perfect;

    public AudioClip[] digClips;

    void Awake()
    {
        instance = this;
    }

    static public void Play(AudioClip clip, Vector3 pos, float volume = 1) {
        AudioSource.PlayClipAtPoint(clip, pos, volume);
    }

    static public void Play(AudioClip[] clips, Vector3 pos, float volume = 1) {
        Play(clips.Random(), pos, volume);
    }

}
